Subject: German Keyboard in b18 - no ~,@,|,\
From: [email-masked] (Stefan Bittner)

15 May 1997 03:03:29 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

I installed the Beta18 usertools.exe on a German Vesrion of Win95.
I use a german keyboard, where some characters  (~,|,\,@) are to be typed using the
left Alt-Key (It ist named "Alt Gr" on the keyboard)

It works in a DosBox, It worked in b17.1 - but not in b18.
When I do a 
cat - > testfile
and enter - say "Alt Gr"+Q ( that's where @ is) i see a @ appearing.

When I use vi - lienedit-mode (set -o vi) and enter Ctrl+V "Alt Gr"+q I see
a ^[@ appearing. That made me think the combination "Alt Gr"+q sends
a ESC+@ sequence. 
I redefined ESC+@ to @ in .inputrc :
"\e@": "@" 
Then I got @ where i wanted it. 
But this does'nt harmony with vi - style linediting. I can't use ESC+k to get the previous 
history -line anymore.

Any help would be appreciated. 
Since I did subscribe only the announcment-Mailing List, Iwould prefer a direct Email answer, if possible.

The only thing i changed, when upgrading to b18 was - all mounts are binary (including C: to /).

Stefan Bittner
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".